#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Test utilities for code working with files and commands
Summary(pl.UTF-8):	Narzędzia testowe dla kodu działającego na plikach i poleceniach
Name:		python3-testpath
Version:	0.6.0
Release:	6
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/testpath/
Source0:	https://files.pythonhosted.org/packages/source/t/testpath/testpath-%{version}.tar.gz
# Source0-md5:	9fd4339f76da12d15bc718e4aa2566e9
URL:		https://pypi.org/project/testpath/
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-build
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Testpath is a collection of utilities for Python code working with
files and commands.

It contains functions to check things on the filesystem, and tools for
mocking system commands and recording calls to those.

%description -l pl.UTF-8
Testpath to zbiór narzędzi dla kodu w Pythonie działającego na plikach
i poleceniach.

Zawiera funkcje do sprawdzania elementów w systemie plików oraz
narzędzia do tworzenia atrap poleceń systemowych i zapisywania ich
wywołań.

%package apidocs
Summary:	API documentation for Python testpath module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona testpath
Group:		Documentation

%description apidocs
API documentation for Python testpath module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona testpath.

%prep
%setup -q -n testpath-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%if %{with doc}
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/testpath
%{py3_sitescriptdir}/testpath-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Fri Mar 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-testpath.git;a=log;h=master

* Fri Mar 28 2025 Jan Rękorajski <baggins@pld-linux.org> d6babb4
- rel 6, use pyproject macros for build and install

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ce034f8
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b1e1168
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6075815
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6f0b24b
- rebuild with python 3.10

* Sun Mar 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 5a4603a
- python-testpath.spec updated to 0.6.0 for python 3.5+
- hacked to build using setuptools

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 67f159e
- release 2 (by relup.sh)

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 0f224a7
- updated to 0.4.4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 067e577
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Sep 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 23b4337
- new

